USAGE:(1)

NAME
usage: - import from a feed, Wordpress, or Dotclear files

DESCRIPTION
usage: pelican-import [-h] [--wpfile] [--dotclear] [--posterous] [--tumblr]

[--feed] [-o OUTPUT] [-m MARKUP] [--dir-cat]
    [--dir-page] [--filter-author AUTHOR] [--strip-raw] [--wp-custpost] [--wp-attach] [--disable-slugs] [-e EMAIL] [-p PASSWORD] [-b BLOGNAME] input

Transform feed, WordPress, Tumblr, Dotclear, or Posterous files into reST (rst) or Markdown (md) files. Be sure to have pandoc installed.

  positional arguments:

input
    The input file to read

  optional arguments:

-h, --help
    show this help message and exit

--wpfile
    Wordpress XML export (default: False)

--dotclear
    Dotclear export (default: False)

--posterous
    Posterous export (default: False)

--tumblr
    Tumblr export (default: False)

--feed
    Feed to parse (default: False)

-o OUTPUT, --output OUTPUT
    Output path (default: output)

-m MARKUP, --markup MARKUP
    Output markup format (supports rst & markdown) (default: rst)

--dir-cat
    Put files in directories with categories name (default: False)

--dir-page
    Put files recognised as pages in "pages/" subdirectory (wordpress import only) (default: False)

--filter-author AUTHOR
    Import only post from the specified author (default: None)

--strip-raw
    Strip raw HTML code that can't be converted to markup such as flash embeds or iframes (wordpress import only) (default: False)

--wp-custpost
    Put wordpress custom post types in directories. If used with --dir-cat option directories will be created as /post_type/category/ (wordpress import only) (default: False)

--wp-attach
    (wordpress import only) Download files uploaded to wordpress as attachments. Files will be added to posts as a list in the post header. All files will be downloaded, even if they aren't associated with a post. Files with be downloaded with their original path inside the output directory. e.g. output/wpuploads/date/postname/file.jpg -- Requires an internet connection -- (default: False)

--disable-slugs
    Disable storing slugs from imported posts within output. With this disabled, your Pelican URLs may not be consistent with your original posts. (default: False)

-e EMAIL, --email EMAIL
    Email address (posterous import only) (default: None)

-p PASSWORD, --password PASSWORD
    Password (posterous import only) (default: None)

-b BLOGNAME, --blogname BLOGNAME
    Blog name (Tumblr import only) (default: None)

[--feed] [-o OUTPUT] [-m MARKUP] [--dir-cat]
    [--dir-page] [--filter-author AUTHOR] [--strip-raw] [--wp-custpost] [--wp-attach] [--disable-slugs] [-e EMAIL] [-p PASSWORD] [-b BLOGNAME] input

pelican-import: error: too few arguments